" Copyright © 2012 Nick Bowler
"
" Set langmap based on the KEYMAP environment variable.  This allows key
" bindings to work properly regardless of the keyboard layout.
"
" License WTFPL2: Do What The Fuck You Want To Public License, version 2.
" This is free software: you are free to do what the fuck you want to.
" There is NO WARRANTY, to the extent permitted by law.

if $KEYMAP == "colemak"
	set langmap=sd,fe,tf,dg,ui,nj,ek,il,kn,yo,\\;p,pr,rs,gt,lu,jy,SD,FE,TF,DG,UI,NJ,EK,IL,KN,YO,:P,PR,RS,GT,LU,JY,o\\;,O:
endif

" Disable Gentoo's default cursor position handling, because it is broken wrt.
" langmap.
let g:leave_my_cursor_position_alone=1

" Jump to last cursor position when editing a file.
autocmd BufReadPost *
	\ if line("'\"") > 0 && line("'\"") <= line("$") |
	\	execute "goto" line2byte(line("'\"")) |
	\ endif
